Oracle Database 11g R1 auf Ubuntu 9.10 x64 installieren

Als ich heute morgen um 5 Uhr ins Bett gegangen bin war ich mit dem Nerven am Ende. Ich habe versucht die aktuelle Datenbank von Oracle auf meinem Ubuntu-Rechner zu installieren. Vorab gibt es zu sagen: eine einfache Installation ist nicht möglich.

Geschichtliches

Mein erster Versuch war es, die neuste Version der Express-Datenbank, also 11g Release 2, herunterzuladen und zu installieren. Es gibt einen Installer, der dem ZIP-Paket beiligt. Während des Setups kamen ein paar Hinweise, dass mein System nicht die Voraussetzungen erfüllt ‒ unter anderem ist der Test der installierten make-Version fehlgeschlagen, da eine neuere Version installiert ist. Diese habe ich ignoriert, in der Hoffnung, dass das Setup trotzdem alles nötige installiert. Während der Installationsvorgangs meldete sich sich der Installer immer wieder und meldete Fehler, zu denen ich im Netz keine Lösungen gefunden habe. Somit scheiterte die Installation erfolgreich.

Den zweiten Versuch startete ich mit einer Anleitung, welche ich im Netz gefunden hatte. Diese spezifizierte den Release der Datenbank aber nicht näher und somit versuchte ich erneut den R2 zu installieren. Lustig an dieser Installation war allerdings, dass noch mehr Fehler auftauchten und Inhalte auf Formularen teilweise nicht sichtbar waren.

Funktionierende Installation

Einen weiteren Versuch startete ich mit dieser Anleitung auf pythian.com. Der Autor verwendete hierbei allerdings eine ältere Ubuntu-Version und auch der Release 1 der Datenbank. Dieser liefert einen anderen Installer. Ich befolgte die Anleitung sehr präzise und bin kaum auf Probleme gestoßen, da alles bis ins letzte Detail beschrieben wird.

Allerdings teilte mir der Installer erneut zwei Fehlermeldungen mit, die allerdings keinerlei Auswirkungen auf das laufende Produkt haben. Ich kann die Datenbank ohne Probleme nutzen und alles läuft, wie ich es erwarte. Ich hoffe, dass das hier einigen Menschen helfen kann, da diese Anleitung viel Zeit und Nerven sparen kann.

Leave a Reply

Your email address will not be published. Required fields are marked *


− 4 = two

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>